<template>
    <q-layout
    ref="layout"
    view="lHh Lpr fff"
    :left-class="{'bg-grey-2': true}"
  >
    <q-toolbar slot="header" class="flat">
      <q-btn
        flat
        @click="$refs.layout.toggleLeft()"
        v-if="this.$session.get('loggedin')"
      >
        <q-icon name="menu"/>
      </q-btn>

      <q-toolbar-title>
        TalentMap
        <div slot="subtitle">Running on Quasar v{{$q.version}}</div>
      </q-toolbar-title>

      <q-btn
        flat
        @click="logout()"
        v-if="this.$session.get('loggedin')"
      >
        <q-icon name="lock" v-if="$session.get('loggedin')"/>
      </q-btn>
    </q-toolbar>

    <div slot="left" v-if="$session.get('loggedin')">
      <!--
        Use <q-side-link> component
        instead of <q-item> for
        internal vue-router navigation
      -->

      <q-list no-border link inset-delimiter>
        <q-list-header>Essential Links</q-list-header>
        <q-item @click="$router.push('/account')">
          <q-item-side icon="account_circle" />
          <q-item-main label="Account" sublabel="My Account" />
        </q-item>
        <q-item @click="$router.push('/jobs')">
          <q-item-side icon="work" />
          <q-item-main label="Jobs" sublabel="Job Files" />
        </q-item>
        <q-item @click="$router.push('/resumes')">
          <q-item-side icon="book" />
          <q-item-main label="Resumes" sublabel="Resumes & Candidates" />
        </q-item>
        <q-item @click="$router.push('/resumesearch')">
          <q-item-side icon="find_in_page" />
          <q-item-main label="Search" sublabel="Search Candidates" />
        </q-item>
        <q-item @click="$router.push('/upload')">
          <q-item-side icon="note_add" />
          <q-item-main label="Upload" sublabel="Upload Jobs & Resumes" />
        </q-item>
      </q-list>
    </div>

    <!-- Don't drop "q-app" class -->
    <div id="q-app">
      <router-view />
    </div>
  </q-layout>
</template>

<script>
import {
  QLayout,
  QToolbar,
  QToolbarTitle,
  QBtn,
  QIcon,
  QList,
  QListHeader,
  QItem,
  QItemSide,
  QItemMain
} from 'quasar'

export default {
  name: 'index',
  components: {
    QLayout,
    QToolbar,
    QToolbarTitle,
    QBtn,
    QIcon,
    QList,
    QListHeader,
    QItem,
    QItemSide,
    QItemMain
  },
  data () {
    return {
    }
  },
  computed: {
  },
  methods: {
    logout () {
      this.$session.set('loggedin', false)
      this.$session.set('username', '')
      this.$session.set('userid', '')
      this.$router.push('/login')
    }
  },
  mounted () {
  },
  beforeDestroy () {
  }
}
</script>

<style lang="stylus">
</style>
